

#include "stdafx.h"

#include "math.h"
#include "stdio.h"

class forme: public bloc{

private:
	bloc tab_bloc[16];
	int x,y;
	char forme_t[17];
	Uint32 color;

public:
	forme(int X=0 ,int Y=0 ,char *f="00",Uint32 c=0 );
	int Get_X();
	int Get_Y();
	void Set_forme_Pos(int X,int Y);
	void Set_forme(char *);
	void Set_color(Uint32);
	void Rotation_forme(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran,tableau t);
	void Put_forme(SDL_Rect *,SDL_Surface *,SDL_Surface *);
	void Effacer_forme(SDL_Rect *d,SDL_Surface *image,SDL_Surface *ecran);
	void Get_all_pos();
	bool verif_rotation(forme f,tableau t);
	void Bouge_droite(SDL_Rect *,SDL_Surface *,SDL_Surface *,tableau );
	void Bouge_gauche(SDL_Rect *,SDL_Surface *,SDL_Surface *,tableau );
	void Descendre(SDL_Rect *,SDL_Surface *,SDL_Surface *,tableau,ETAT *);
	friend void tableau::ajout_forme(forme f,SDL_Rect *d,SDL_Surface *image,SDL_Surface * ecran);
	
};